<template>
<div class='usefull-current-category'>
    {{ currentCategory }}
</div>
</template>

<script>
export default {
    props: {
        categories: {
            required: true
        }
    },
    data () {
        return {
            scrollElem: null,
            currentCategory: ""

        }
    },
    mounted () {
        this.currentCategory = this.categories[0]

        this.scrollElem = document.getElementById("usefull-list-scrollable")

        this.scrollElem.addEventListener("scroll", this.computeScroll)
    },
    methods: {
        computeScroll () {
            const itemAmmount = this.scrollElem.scrollHeight / this.scrollElem.offsetHeight
            const itemHeight = this.scrollElem.scrollHeight / itemAmmount
            const currentItem = this.scrollElem.scrollTop / itemHeight

            this.currentCategory = this.categories[Math.min(Math.max(Math.ceil(currentItem), 0), this.categories.length - 1)]
        }
    }
}
</script>

<style>

</style>